\section{LUKS2 fuzzing dictionary}
\label{fuzzing-dictionary}

\begin{lstlisting}[firstnumber=1,escapeinside=``,captionpos=b,label={lst:dictionary}]
"0"
",0"
":0"
"0:"
"-1.2e+3"

"true"
"false"
"null"

"\"\""
",\"\""
":\"\""
"\"\":"

"{}"
",{}"
":{}"
"{\"\":0}"
"{{}}"

"[]"
",[]"
":[]"
"[0]"
"[[]]"

"''"
"\\"
"\\b"
"\\f"
"\\n"
"\\r"
"\\t"
"\\u0000"
"\\x00"
"\\0"
"\\uD800\\uDC00"
"\\uDBFF\\uDFFF"

"\"\":0"
"//"
"/**/"

"$ref"
"type"
"coordinates"
"@context"
"@id"

","
":"

"1024"
"2048"
"4096"
"512"
"aegis128-random"
"aes-cbc:essiv:sha256"
"aes-xts-plain64"
"af"
"allow-discards"
"area"
"argon2i"
"argon2id"
"backup-final"
"backup-moved-segment"
"backup-previous"
"checksum"
"config"
"cpus"
"crypt"
"datashift"
"digest"
"digests"
"direction"
"encryption"
"flags"
"hash"
"in-reencryption"
"integrity"
"iterations"
"iv_tweak"
"journal"
"journal_encryption"
"journal_integrity"
"json_size"
"kdf"
"key_description"
"key_size"
"keyslots"
"keyslots_size"
"linear"
"luks2"
"luks2-keyring"
"LUKS\xBA\xBE"
"memory"
"mode"
"no-journal"
"none"
"no-read-workqueue"
"no-write-workqueue"
"offline-reencrypt"
"offset"
"online-reencrypt-v2"
"pbkdf2"
"priority"
"raw"
"reencrypt"
"requirements"
"salt"
"same-cpu-crypt"
"sector_size"
"segments"
"serpent-xts-plain64"
"shift_size"
"size"
"SKUL\xBA\xBE"
"stripes"
"submit-from-crypt-cpus"
"time"
"tokens"
"twofish-xts-plain64"
\end{lstlisting}
